<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateDealersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: dealers
         */
        Schema::create('dealers', function ($table) {
            $table->increments('id');
            $table->text('name')->nullable();
            $table->integer('dealership_make')->nullable();
            $table->string('phone', 255)->nullable();
            $table->text('website')->nullable();
            $table->text('email')->nullable();
            $table->time('opening_from')->nullable();
            $table->time('opening_to')->nullable();
            $table->text('location')->nullable();
            $table->enum('dealer_type', ['Verified','Unverified'])->nullable();
            $table->text('social_media')->nullable();
            $table->text('description')->nullable();
            $table->text('images')->nullable();
            $table->string('slug', 255)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('dealers');
    }
}
