Lavalite package that provides dealer management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `autos/dealer`.

    "autos/dealer": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Autos\Dealer\Providers\DealerServiceProvider::class,

And also add it to alias

    'Dealer'  => Autos\Dealer\Facades\Dealer::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Autos\\DealerTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Autos\Dealer\Providers\DealerServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Autos\Dealer\Providers\DealerServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Autos\Dealer\Providers\DealerServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/dealer/{modulename}

**User**

    http://path-to-route-folder/user/dealer/{modulename}

**Public**

    http://path-to-route-folder/dealers


### API endpoints

**List**

    http://path-to-route-folder/api/user/dealer/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/dealer/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/dealer/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/dealer/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/dealer/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/dealer/{modulename}/{slug}
    METHOD: GET